#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>

/* Include the desired distribution table here, e.g.:
 *
 * #include "experimental.h"
 * #include "normal.h"
 * #include "pareto.h"
 * #include "paretonormal.h"
 */

#include "normal.h"
extern short int disttable[TABLESIZE];

int
main(int argc, char **argv)
{
	int fd;

	fd = open("/dev/nistnet", O_WRONLY);
	if (fd < 0) {
		perror("/dev/nistnet");
		return -1;
	}
	if (write(fd, disttable, TABLESIZE*sizeof(int)) < 0) {
		perror("/dev/nistnet");
		return -1;
	}
	close(fd);
	return 0;
}
